summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Orlitzky <mjo@gentoo.org>2014-05-11 02:11:24 +0000
committerMichael Orlitzky <mjo@gentoo.org>2014-05-11 02:11:24 +0000
commitb49205b7a317cd669a1f139bb67a185348badf3e (patch)
tree25b4b059fb6c596767148e014013bb02cfbfd96b /mail-filter/pypolicyd-spf
parentFix misuse of distutils-r1.eclass (thanks to jlec). (diff)
downloadhistorical-b49205b7a317cd669a1f139bb67a185348badf3e.tar.gz
historical-b49205b7a317cd669a1f139bb67a185348badf3e.tar.bz2
historical-b49205b7a317cd669a1f139bb67a185348badf3e.zip
Version bump.
Package-Manager: portage-2.2.8-r1/cvs/Linux x86_64 Manifest-Sign-Key: 0x6F48D3DA05C2DADB!
Diffstat (limited to 'mail-filter/pypolicyd-spf')
-rw-r--r--mail-filter/pypolicyd-spf/ChangeLog7
-rw-r--r--mail-filter/pypolicyd-spf/Manifest32
-rw-r--r--mail-filter/pypolicyd-spf/pypolicyd-spf-1.3.ebuild59
3 files changed, 82 insertions, 16 deletions
diff --git a/mail-filter/pypolicyd-spf/ChangeLog b/mail-filter/pypolicyd-spf/ChangeLog
index 77817f42d08c..3c46b9239680 100644
--- a/mail-filter/pypolicyd-spf/ChangeLog
+++ b/mail-filter/pypolicyd-spf/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for mail-filter/pypolicyd-spf
# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/mail-filter/pypolicyd-spf/ChangeLog,v 1.33 2014/05/11 01:54:46 mjo Exp $
+# $Header: /var/cvsroot/gentoo-x86/mail-filter/pypolicyd-spf/ChangeLog,v 1.34 2014/05/11 02:11:13 mjo Exp $
+
+*pypolicyd-spf-1.3 (11 May 2014)
+
+ 11 May 2014; Michael Orlitzky <mjo@gentoo.org> +pypolicyd-spf-1.3.ebuild:
+ Version bump.
11 May 2014; Michael Orlitzky <mjo@gentoo.org> pypolicyd-spf-1.2-r1.ebuild:
Fix misuse of distutils-r1.eclass (thanks to jlec).
diff --git a/mail-filter/pypolicyd-spf/Manifest b/mail-filter/pypolicyd-spf/Manifest
index 889fea743bd2..26b9a9631415 100644
--- a/mail-filter/pypolicyd-spf/Manifest
+++ b/mail-filter/pypolicyd-spf/Manifest
@@ -4,27 +4,29 @@ Hash: SHA256
DIST pypolicyd-spf-1.1.2.tar.gz 30813 SHA256 f8999a9febc5ccb4a66f9961e4ec2d8f81b407bdc3ac1c84563cd5085429cdea SHA512 17321c6df59620a1fd49a67564d3ecf2156027bbeee9b0f532a3d5f7bfadb060ffc61556b2126d98ea285f80cb552239636e2f461af6256c4568fb8696fec951 WHIRLPOOL a7a02de368037ba9a15520cbdfcf2e2e42c9b9016e3f7d6d83c93eaa6584af147b84acfa3f5a659238dc49057052c8189c20e19ba760b07677fc25cef7fc9ff2
DIST pypolicyd-spf-1.1.tar.gz 469687 SHA256 93ca747e1e62d05a3e3fa54b9415f6c6da7fa40644e32507d0bb56980e31cc56 SHA512 7968425ae5b966571b0787769eff484f4d779f02c8460f515b98549117fdf270de70861f61b8c3e7d9da2092e91c191055cd9a312303c50a2b4707e9dd92840e WHIRLPOOL cd47648c122a13e99c08dac9cfee5cbe12b5b4301dc389397ca824ef19ed976beeee02e7f17fb0faf8abe29184be3aeb73c7ab327a0e6b19d7f84434f20b3635
DIST pypolicyd-spf-1.2.tar.gz 30783 SHA256 e1a94c79ad91cfea17b9c8b19b035536f06d75ff9ee2e8478191e7c27fe69f74 SHA512 266dc129f0d0bf59b809d3ec6f47369c73d6c5287b1505f0762a9e92ab9dbc3b6afc14ff59d8298012dc4c8b2e7c05d85bab227e71592bc0ee47b0a88cf4df45 WHIRLPOOL 8817c0357aa6850010f144d66408048edf569977eb65f733bedbc3f996273a1d636948ce86ec38cf4b81df66d5546acc2d8dced0185ec93f469d919242405e8e
+DIST pypolicyd-spf-1.3.tar.gz 31833 SHA256 ad2c435eed63b5c7e9499abe30bb0bda927a1346fab115c3955262b15ecb2b83 SHA512 95bdb677476a0d1a64dd14efd965e180f432f40edd4fd9a6c25f69f55bc9d852f5973b9ecbebd9a27f6feb25a84b70726fdd9640f1df5f0700793620944fae2a WHIRLPOOL 9da6f84b67fce7dd859b9c04f9a58c6b08c7bd99ad1ce18bea9924ace76b2b82730191cf3c6f0f6735bc9396e5ecccf9ad85ec2e109a77afd12afe7cb783869e
EBUILD pypolicyd-spf-1.1.2.ebuild 735 SHA256 c26b093d6f81223a1e78547aca5bab63d9409fe875989c5773abbd17e2d3a70b SHA512 8cae7689b837e53f8c1f8f9bb6c73ec9a7a4aea7d8b6d443a66c23032302a77c7026342d938435c3f12dd7b1cb4f1c2b252f749311247f4376c3b502690e9494 WHIRLPOOL b0f744cfa8f7e029fe3f9727dcba6850930a87df725dd4463ecd4a054f5e296325075973c9afc66c1d9e914d4738a89394cf1b816312f7de72f544a4464c916b
EBUILD pypolicyd-spf-1.1.ebuild 754 SHA256 b48347ed874e91f56b4fb8cc776c5f3103321de93dd5ed95651fc68600823507 SHA512 c7ccaeb291be77bfd8007ba70444cc895204842e4d85c605c07ae72c52908dbd6f70c786beccf4cf01daaa6ccbc59afaad0b68eb1480c6253256f533000e7661 WHIRLPOOL 9e084a8220f91700eaf921b6f956f7d2067180767fa3c9eb9b6b4a6c990adbafc34298ecf2ac3a5137630256de6b0b78b5c123d7e9ec7bae40035d551c6a7a45
EBUILD pypolicyd-spf-1.2-r1.ebuild 1856 SHA256 31b259a14acca46da448e776a5b7cd25c3396ccbc568ffe388108804f2258e16 SHA512 5746986fca44f18e661a4b42bc6f7c4215df00c2d8e443736d209dce458552326d5f174512f978b2e7a9c9885f3ad513b638e54f5fbf1b3c16d77d3b408dd1cb WHIRLPOOL a5100ddb5386451543b457454e209752087b21b4dd3b910af3554080139247f1e60c406ed623a287fa9fb94f9959bb29cd04df9b713ae9b058846be42f5c473b
-MISC ChangeLog 5629 SHA256 a5acc3d44401ad1badcb2c8bca7683f68b9183730c9c61d6b3960a95218cfbd1 SHA512 97547ff3414c0eed355db5e3761f8d7a4361b5688a4a676bef443a557c97d46dc3b816d9e2cb0e7e450762f0399771d9de13b45f7651ec5fbae5d85b333d0fe3 WHIRLPOOL 997d46882aa1bc718438786a343f42ca50f68d1eea897357f9f0b5c615f47693dd8807b56538e92555cc87ed27ad8b2ebbc80e964daada8b5e75097a21f90f8a
+EBUILD pypolicyd-spf-1.3.ebuild 1989 SHA256 8d1dfee2c78b64e93104a4915ee61cd252994b824a29ee2576f84c778bd9d597 SHA512 023c08886fd45ed6c2f8aa453dc686c33ecd735f0e6df14caaf467378c2555b3d545f8778d0e0908b2925de9220080663f00c4978025b6a12e679f65ad349416 WHIRLPOOL 663886740d158fa828d99b2a46d6112393ea3b66dfcc7936412d667d072c68ab6f4788a08b71aef5fe6cb5e0f1dcd5da573f0321301784217c3cfa2ce4042d8f
+MISC ChangeLog 5756 SHA256 1fab88637770f567cc84832b7168df44231a1d70db358eb18312b20784354e69 SHA512 bba60b7ff1541c246e16b4c655c1880b63138610b1c18af2514a9cf3ce88f137226053b5801b39687f2eef9bd43a3e6409faaea12a69349df909ebb3e1793476 WHIRLPOOL 4e38dbdf8c5250133d3c88a0a88000a560a3d838fa76c62c509c3db15fb15344842281c5da3320e86e76b9c484c1b715c20d3fd9541bb51bb1bb74da1afd993e
MISC metadata.xml 198 SHA256 179c6f13a84c31ea7305a54d0be4bb4056895a6372049a8a0a51aeeaa01c35d8 SHA512 2057381d2aea02f2c9fb8479b2881b00968950c99ab78b5516c574f05cae99d75a9219e28f208473a89332a6fe05a63a84bd93baf9e6a811e7dc5c5f73f38b7f WHIRLPOOL 0b13d7bc793e33311bd81958b6eb15934f432ff463d9a1a1928ab6a7b3c554aadaa05590126367ef378e98110e42bfbbe28261d9cbc296d82af8dd57a987adb6
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.22 (GNU/Linux)
-iQJ8BAEBCABmBQJTbthxXxSAAAAAAC4AKGlzc3Vlci1mcHJAbm90YXRpb25zLm9w
+iQJ8BAEBCABmBQJTbtxGXxSAAAAAAC4AKGlzc3Vlci1mcHJAbm90YXRpb25zLm9w
ZW5wZ3AuZmlmdGhob3JzZW1hbi5uZXQxNEU5RDcyRDdCMUFGREVGQzBCNDFDMUY2
-RjQ4RDNEQTA1QzJEQURCAAoJEG9I09oFwtrboiAP/0lRyvYjLROH8nL1uF+wXhUL
-avaVwXrPDZWce0f/DJWiXYsYu1vWZ7orQCz+UHnoMbTm6URX9jOD4+m9z4VSk2+x
-WQ8al0i+Tsob58+tCR0XegfxybHFwqt53LoYy2M+V9XieRK8vL0gJ9tdEMtRCzLW
-90ftn4OyYqizoFLHvEtalSvAeALIs8gkeuk42FeVq1t1jpc+WHKYxtOhnBF05Z3R
-Cj6vVCSBHKIEjTc7rrazMftqAUlj3NXmicN5xgDUmL9d45zlK5oqrpqrsm3LL20d
-Ywkf8V0AaPGJMGmvolMuEMeq0tn4h68xaCNxwcYTW8ME1G/WH/ztiqtuNtNFzKrc
-PtC2l9SBLuDAShBRFz/okN6rwJVzJ5UuApctb8bVd0onmE1aK1Zor7W1okkzOgbD
-9mml6mjXwn9rF/ishZhw/2h+dOJx2vYT1BavcNEb701yXJYOg8Jm1UcYB1ThkWT8
-tjlNG2BsqLR4QvuT0TBgAv7J0zD5hruKSuTAHgaD4rT72aCYzlxCWfEEfyIptPz3
-l6iNQT4HrGOyDZJKtja4nq/VRGkg5wMo7s4zwVW+pBXXxSlEreXAaGpXqajcUoQL
-b8tps/1rxi202+zwaKYeC0Go1cRSPqLvvcOmxvaUr4gM3EiWTXTxTa9fflLBxI/7
-dYaUqUL4CPP/g2PMFjJ9
-=enOx
+RjQ4RDNEQTA1QzJEQURCAAoJEG9I09oFwtrb+3UP/2b1k/pm+jncHH0/1dtkrY7t
+qaOh/5t/ry/iv1BQ+97FRBh5S31bwcpIMULoRYIlTOZxyPmtVZ7Bi+H6DqOlZKdQ
+r1NAqaFaku0gHLQe8mta0eUqEdi4dPtB1/Rrof6jb+r85Lz9vHBhyunY9j1C3icH
+LPEDG4YGOPtuNo8W+A8FK3+bpU6dako2XAbGNS8vpHTLi6OyevYk6YbBNgBNCOHx
+GcGrcBSniaHBCiJRSXvE2tETcl0g3v2zZb+QYgiSK0j3EHwNaXAN1e5i56OEAN8Z
+9NqbhuRvKv5zSksDzTCQ4bo2QSerkMVewEbqnm9LlEowAkH0tvGeuPvr2uTnI5ON
+ADN4gmXuYnBRk1F1Pw8JYKRvdqnE7lvR1lE4Z/il+e9eQSWMriNfVkWw8zeoX3L2
+yMoiEDKtujfY7n8BdLSLl2bVpFqqaxTfOjXhHunFzqWjyIBdHD8BGoxO7kKoV+Mj
+Wd2XmTmFkLGa9tZ/rySLy5+U/gP5A7M8s9YYtFrPZHONj9LM9WA4Dt0BrExwf8eS
+fiNiD5nGFFrzouj2PNnO19qJvdj5u87S3DpCXk9WWgOiGg4BkrF0mVX8ODwCJsm/
+AI15I3hQRCInlkJ6eEs/3QOqWLddwSg75TbYkXz6mBH3Dhh+3dx1oGQbHpn1a5yp
+wMRv/xobXmxmDuqbLXhJ
+=yTRR
-----END PGP SIGNATURE-----
diff --git a/mail-filter/pypolicyd-spf/pypolicyd-spf-1.3.ebuild b/mail-filter/pypolicyd-spf/pypolicyd-spf-1.3.ebuild
new file mode 100644
index 000000000000..a0f7744e248d
--- /dev/null
+++ b/mail-filter/pypolicyd-spf/pypolicyd-spf-1.3.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/mail-filter/pypolicyd-spf/pypolicyd-spf-1.3.ebuild,v 1.1 2014/05/11 02:11:13 mjo Exp $
+
+EAPI=5
+
+PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+
+# With >=python-3.3, the built-in ipaddress module handles the parsing
+# of IP addresses. If python is built without ipv6 support, then
+# ipaddress can't parse ipv6 addresses, and the daemon will crash if it
+# sees an ipv6 SPF record. In other words, it's completely broken.
+#
+# Ideally this would remain optional for python-2.x, but until there's
+# an easy way to do that, "maybe annoying" seems a better option than
+# "maybe broken."
+PYTHON_REQ_USE="ipv6"
+
+inherit distutils-r1 versionator
+
+DESCRIPTION="Python-based policy daemon for Postfix SPF verification"
+HOMEPAGE="https://launchpad.net/pypolicyd-spf"
+SRC_URI="http://launchpad.net/pypolicyd-spf/$(get_version_component_range 1-2)/${PV}/+download/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+# ipaddr is only needed with <python-3.3.
+#
+# The lower version bound is reported at,
+#
+# https://bugs.launchpad.net/pypolicyd-spf/+bug/1229862
+#
+# The lower bound on pyspf is not strictly necessary, but some features
+# are silently disabled with older versions of pyspf.
+#
+DEPEND="$(python_gen_cond_dep \
+ '>=dev-python/ipaddr-2.1.10[${PYTHON_USEDEP}]' \
+ 'python2*')
+ >=dev-python/pyspf-2.0.9[${PYTHON_USEDEP}]"
+
+RDEPEND="${DEPEND}
+ dev-python/authres[${PYTHON_USEDEP}]"
+
+DOCS=( CHANGES policyd-spf.conf.commented README README.per_user_whitelisting )
+
+python_prepare_all() {
+ # The "real" config file mentions the commented one, so we point
+ # users in the right direction.
+ local oldconf="policyd-spf.conf.commented"
+ local newconf="/usr/share/doc/${PF}/${oldconf}"
+
+ sed -i "1 s~ ${oldconf}~,\n# ${newconf}~" policyd-spf.conf \
+ || die 'failed to update commented config file path'
+
+ distutils-r1_python_prepare_all
+}